Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 227228

Summary: Review Request: GshutDown - Advanced shut down utility for GNOME
Product: [Fedora] Fedora Reporter: Xavier Lamien <lxtnow>
Component: Package ReviewAssignee: Chitlesh GOORAH <chitlesh>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: chitlesh: fedora-review+
kevin: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-10 01:10:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Xavier Lamien 2007-02-03 19:03:55 UTC
Spec URL: http://blog.fedora-fr.org/public/smootherfrogz/SPECS/gshutdown.spec
SRPM URL: http://blog.fedora-fr.org/public/smootherfrogz/RPMs/gshutdown-0.2-1.rc1.fc6.src.rpm

Description: 

GShutdown is an advanced shutdown utility which                                                    
allows you to schedule the shutdown or the restart
of your computer, or logout your actual session.
Also can be use under Xfce and KDE.

Comment 1 Chitlesh GOORAH 2007-02-03 19:16:16 UTC
It's like my kshutdown :)

Comment 2 Chitlesh GOORAH 2007-02-04 12:09:08 UTC
Easy Fix:
chitlesh(SPECS)[1]$rpmlint /home/chitlesh/rpmbuild/SRPMS/gshutdown-0.2-1.rc1.src.rpm
W: gshutdown mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 2)

You should add timestamps to your make install:
%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install

version labeling:
Version:	0.2
Release:        1.rc1%{?dist}

you should pretty much do:
Version:	0.2rc1
Release:        1%{?dist}

You can dropped explicit BR:
BuildRequires:  gtk2-devel, libglade2-devel

Since 
chitlesh(devel)[0]$rpm -qR libglade2-devel
/usr/bin/python
gtk2-devel >= 2.5.0
libglade-2.0.so.0
[...]

libglade2-devel already requires gtk2-devel

You can dropped this as well
        --add-category X-Fedora				\

The file NEWS is useless, you also dropped it as its contents refers to ChangeLog

Also there is no use of writing explicit requires such:
Requires:       libglade >= 0.17, libnotify >= 0.4.2
yum will search for them automatically. :)

Comment 3 Chitlesh GOORAH 2007-02-04 12:20:27 UTC
And also see whether the following has some negative influence on its usuability
or not:
chitlesh(SPECS)[1]$gshutdown

(gshutdown:27870): Gtk-CRITICAL **: gtk_tree_row_reference_new: assertion
`GTK_IS_TREE_MODEL (model)' failed

(gshutdown:27870): Gtk-CRITICAL **: gtk_cell_view_set_displayed_row: assertion
`GTK_IS_TREE_MODEL (cell_view->priv->model)' failed


Comment 4 Michael Schwendt 2007-02-04 12:25:14 UTC
> you should pretty much do:
> Version:	0.2rc1
> Release:        1%{?dist}

Certainly not. But:

  Version: 0.2
  Release: 0.1.rc1%{?dist}


Comment 5 Michael Schwendt 2007-02-04 12:27:55 UTC
> Requires:       libglade >= 0.17, libnotify >= 0.4.2

Make sure these are not caught by rpmbuild automatically. Query
the binary rpms and look out for the dependencies on the library
sonames. Avoid dependencies on package names wherever possible.


Comment 6 Chitlesh GOORAH 2007-02-04 12:31:29 UTC
you should make use of GTK+ icon cache
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?action=show&redirect=ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

Comment 7 Chitlesh GOORAH 2007-02-04 12:46:48 UTC
Mock has failed, you have a missing BuildRequires desktop-file-install

the next time you submit a package, try to mock the package :)
http://fedoraproject.org/wiki/Extras/MockTricks

Comment 8 Chitlesh GOORAH 2007-02-04 12:47:47 UTC
typo: it's desktop-file-utils and not desktop-file-install

Comment 9 Xavier Lamien 2007-02-05 00:34:08 UTC
(in reply to commnet #2)

All fixed except explicit BR for libglade2-devel which required,
mock failed while building whitout it.

(in reply to comment #4)
>Certainly not. But:
>  Version: 0.2
>  Release: 0.1.rc1%{?dist}

fixed

(in reply to comment #6)

added %post and %postun

--------------------

New spec and srpm files rebuilt in mock

SPEC URL: http://blog.fedora-fr.org/public/smootherfrogz/SPECS/gshutdown.spec 
SRPM URL:
http://blog.fedora-fr.org/public/smootherfrogz/RPMs/gshutdown-0.2-0.2.rc1.fc6.src.rpm

                                                                               
                 

Comment 10 Chitlesh GOORAH 2007-04-26 10:00:20 UTC
# 001: (In reply to comment #5)
> > Requires:       libglade >= 0.17, libnotify >= 0.4.2
> 
> Make sure these are not caught by rpmbuild automatically. Query
> the binary rpms and look out for the dependencies on the library
> sonames. Avoid dependencies on package names wherever possible.
> 

gshutdown already requires libnotify.so.1 and libglade-2.0.so.0

Requires: libX11.so.6 libXau.so.6 libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libcairo.so.2 libdbus-1.so.3 libdbus-glib-1.so.2 libdl.so.2
libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libglade-2.0.so.0 libglib-2.0.so.0
libgmodule-2.0.so.0 libgobject-2.0.so.0 libgtk-x11-2.0.so.0 libm.so.6
libnotify.so.1 libpango-1.0.so.0 libpangocairo-1.0.so.0 libxml2.so.2 rtld(GNU_HASH)

Remove "Requires:       libglade >= 0.17, libnotify >= 0.4.2" from the spec file.

# 002 : typo
in changelog you wrote 
"- Removed "--add-categorie" from desktop-file-install."
It should be "--add-category" and not "--add-categorie"

Comment 11 Chitlesh GOORAH 2007-04-26 10:03:26 UTC
(In reply to comment #9)
> (in reply to commnet #2)
> 
> All fixed except explicit BR for libglade2-devel which required,
> mock failed while building whitout it.
> 

libglade2-devel already requires gtk2-devel

i.e to install libglade2-devel, yum will fetch  gtk2-devel. Hence gtk2-devel is
not required as BR.

Comment 12 Chitlesh GOORAH 2007-04-30 07:25:01 UTC
ping ?

Comment 13 Xavier Lamien 2007-05-02 01:21:38 UTC
Sorry for the late, 

Fix's coming

Comment 15 Chitlesh GOORAH 2007-06-12 09:58:06 UTC
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license 
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own 
file, then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream 
source, as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files 
listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} 
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros 
section of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described 
in detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If 
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, 
and that file must be properly installed with desktop-file-install in 
the %install section.
- MUST: Package does not own files or directories already owned by other 
packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No subpackages present.

APPROVED

Comment 16 Chitlesh GOORAH 2007-06-12 09:59:13 UTC
Follow http://fedoraproject.org/wiki/CVSAdminProcedure for the CVS Request
procedure.

Comment 17 Xavier Lamien 2007-06-19 00:20:10 UTC
New Package CVS Request
=======================
Package Name: gshutdown
Short Description: Advanced shut down utility for GNOME
Owners: lxtnow@gmail.com
Branches: FC-5 FC-6 F-7 EL-4 EL-5 Devel
InitialCC: 

Comment 18 Kevin Fenzi 2007-06-19 04:48:32 UTC
cvs done. 
Note that FC-5 branches are not valid anymore, so this branch wasn't created. 

Also, Note that the bugzilla sync process isn't yet caught up to the merge of core
and extras components, so it might not be until tomorrow for this to have a
bugzilla component.


Comment 19 Chitlesh GOORAH 2007-07-03 18:56:08 UTC
Xavier, is there any progress with the bug ?

Comment 20 Xavier Lamien 2007-07-10 01:10:06 UTC
Fixed, Imported and built ;).